This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 196961 - Wiki update to capture SoC changes
Wiki update to capture SoC changes
Status: CLOSED CANTFIX
Product: Fedora Infrastructure
Classification: Retired
Component: website (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Mike McGrath
Elliot Lee
http://fedoraproject.org/wiki
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-27 16:34 EDT by Karsten Wade
Modified: 2014-01-21 18:24 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-26 14:01:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Karsten Wade 2006-06-27 16:34:10 EDT
As you are likely aware, we are working with a Summer of Code student to make
improvements in the MoinMoin handling of XML output:

http://fedoraproject.org/wiki/MoinDocBookProject

Mikko is working with upstream Moin Moin, hosting his code changes in their CVS
and working closely with their development team on everything.  This, after all,
is the Fedora Way.  Now we are going to be just downstream consumers.

We'd like to get the instance of MoinMoin on fp.org ... or on a stage.fp.org ...
updated to the latest (CVS HEAD?), so that we can output Docs/Beats into XML for
the FC6 tests and release.

Naturally, the sooner we can get an instance under our control, the better.  The
FDP team working on release notes needs to be able to make changes and output to
XML at-will in order to meet the very tight deadlines around release notes
translation and ISO spins:

http://fedoraproject.org/wiki/DocsProject/Schedule

Please let us know ASAP what is feasible and what schedule for update you would
like to follow.

Thanks - Karsten
Comment 1 Karsten Wade 2006-07-04 16:08:10 EDT
We're going to use the test instance at docbook.wikiwikiweb.de for the FC6 test2
release notes.

To do so, I've decided that we are going to use new syntax and macros that are
only in the latest Moin Moin code.  The content needs to move forward like this,
so we are definitely going to need the underlying platform to move along with it.

The age old battle, on Fedora Project ground -- can we afford our own
infrastructure to be as leading edge as the packages?

I hope so and think we should.

*munch, munch* Dog food tastes good!
Comment 2 Seth Vidal 2006-07-04 16:10:51 EDT
You can install per-instance configurations of moin in a subdir w/o a lot of
trouble - especially if you just want it to run as a cgi.

I'd suggest we get the vhost configured on fpserv and then once we're ready for
production make sure the new site goes there.
Comment 3 Karsten Wade 2006-07-04 17:25:56 EDT
Awesome, great idea.

Elliot - can someone on the Infrastructure team be accountable for getting that
done?

Something like:

1. Identify what is a good $DATE for a live instance and the projected $VERSION
of Moin Moin to be used, then work backward from there.

2. Install the HEAD (?) of Moin Moin development into a sub-directory and create
a vhost to point at it.  Goal -- working usage as a CGI, as soon as possible.

3. Keep the sub-directory updated to coincide with the changes rolling in from
the Summer of Code hacking.  At least twice a week?

4. Prepare a plan for rolling out the sub-directory instance as the live
instance when we reach $DATE.

Things to ponder:

i. Can we keep a sync on the Wiki files themselves, so that changes made in the
one instance propagate to the other (symlinks?)?  Or is this not advised, and we
should just copy over pages manually when preparing to do a release notes XML
output?
Comment 4 Mike McGrath 2006-07-25 16:30:24 EDT
I'll be working on this very soon.
Comment 5 Mike McGrath 2006-11-02 21:01:55 EST
When is the SOC code supposed to get applied to our infrastructure for roll out?
Comment 6 Karsten Wade 2006-11-03 09:35:47 EST
Thanks for the reminder; there is a bit more that has to be done before we can
use the code.

i) I'll write an email today that connects mmcgrath, Thomas Waldmann from Moin,
and mvirkill.  The SoC code has some small stuff that needs to be done to get it
accepted into the main:
  * Code styling
  * Documentation

ii) We need to push the content on the project that is on the fedoraproject.org
Wiki up into moinmoin.wikiwikiweb.de

iii) Waldmann is going to have a small list of what we need to do to prepare for
the upgrade, aiui mainly around page names (no spaces, etc.).  I saw a number of
examples of one of the problems, iirc, but Thomas said there are some scripts we
can use.

Doing all this will get the SoC code into the trunk in time for the next
release.  We can then start using an RC of that release on fp.org.
Comment 7 Robert 'Bob' Jensen 2008-12-26 14:01:53 EST
With MoinMoin no longer being used this bug should be somehow closed.

Note You need to log in before you can comment on or make changes to this bug.